package ch.lanter.vajanoid;

import java.awt.Graphics;
import java.awt.Rectangle;

/**
 * A Positionable is a component that has a position, a size and is able to
 * paint itself on Graphics g
 * 
 * @author Martin Lanter, LanterSoft 2010
 */
public interface Positionable {
	
	public int getX();
	public int getY();
	
	public int getWidth();
	public int getHeight();

	public Rectangle getBounds();
	
	public void paint(Graphics g);
}
