package ch.lanter.vajanoid.level;

import ch.lanter.vajanoid.block.Block;
import ch.lanter.vajanoid.block.BlockImage;
import ch.lanter.vajanoid.block.RectBlock;

/**
 * @author Martin Lanter, Lantersoft 2010
 */
public class Level05 extends AbstractLevel {

	private Block[] blocks;
	
	public Level05() {
		int i = 0;
		blocks = new Block[62];
		blocks[i++] = new RectBlock(1*32,6*20,BlockImage.BLACK,3);
		blocks[i++] = new RectBlock(2*32,7*20,BlockImage.BLACK,3);
		blocks[i++] = new RectBlock(3*32,8*20,BlockImage.BLACK,3);
		blocks[i++] = new RectBlock(4*32,9*20,BlockImage.BLACK,3);
		blocks[i++] = new RectBlock(7*32,9*20,BlockImage.BLACK,3);
		blocks[i++] = new RectBlock(8*32,8*20,BlockImage.BLACK,3);
		blocks[i++] = new RectBlock(9*32,7*20,BlockImage.BLACK,3);
		blocks[i++] = new RectBlock(10*32,6*20,BlockImage.BLACK,3);

		blocks[i++] = new RectBlock(1*32,5*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(2*32,6*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(3*32,7*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(4*32,8*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(7*32,8*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(8*32,7*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(9*32,6*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(10*32,5*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(5*32,9*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(6*32,9*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(5*32,10*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(6*32,10*20,BlockImage.WHITE,2);

		blocks[i++] = new RectBlock(4*32,7*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(5*32,8*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(6*32,8*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(7*32,7*20,BlockImage.BLUE);

		blocks[i++] = new RectBlock(4*32,6*20,BlockImage.DARK_BLUE);
		blocks[i++] = new RectBlock(5*32,6*20,BlockImage.DARK_BLUE);
		blocks[i++] = new RectBlock(6*32,6*20,BlockImage.DARK_BLUE);
		blocks[i++] = new RectBlock(7*32,6*20,BlockImage.DARK_BLUE);
		blocks[i++] = new RectBlock(5*32,7*20,BlockImage.DARK_BLUE);
		blocks[i++] = new RectBlock(6*32,7*20,BlockImage.DARK_BLUE);

		blocks[i++] = new RectBlock(3*32,6*20,BlockImage.RED);
		blocks[i++] = new RectBlock(4*32,5*20,BlockImage.RED);
		blocks[i++] = new RectBlock(5*32,5*20,BlockImage.RED);
		blocks[i++] = new RectBlock(6*32,5*20,BlockImage.RED);
		blocks[i++] = new RectBlock(7*32,5*20,BlockImage.RED);
		blocks[i++] = new RectBlock(8*32,6*20,BlockImage.RED);

		blocks[i++] = new RectBlock(0*32,3*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(0*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(1*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(2*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(2*32,3*20,BlockImage.ORANGE);

		blocks[i++] = new RectBlock(9*32,3*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(9*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(10*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(11*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(11*32,3*20,BlockImage.ORANGE);

		blocks[i++] = new RectBlock(4*32,3*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(4*32,4*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(5*32,4*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(6*32,4*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(7*32,4*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(7*32,3*20,BlockImage.PINK);

		blocks[i++] = new RectBlock(1*32,1*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(1*32,2*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(1*32,3*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(10*32,1*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(10*32,2*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(10*32,3*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(5*32,2*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(5*32,3*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(6*32,2*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(6*32,3*20,BlockImage.YELLOW);
	}
	
	@Override
	public String getName() {
		return "Shuttle";
	}
	
	@Override
	public Block[] getBlocks() {
		return blocks;
	}

}
