package ch.lanter.vajanoid.level;

import ch.lanter.vajanoid.block.Block;
import ch.lanter.vajanoid.block.BlockFactory;
import ch.lanter.vajanoid.block.BlockImage;
import ch.lanter.vajanoid.block.RectBlock;

/**
 * @author Martin Lanter, Lantersoft 2010
 */
public class Level19 extends AbstractLevel {

	private Block[] blocks;
	
	public Level19() {
		int i = 0;
		blocks = new Block[89];
		
		for (int j=0;j<11;j++) {
			blocks[i++] = BlockFactory.createRockBlock(j*32,(11-j)*20);
			blocks[i++] = BlockFactory.createRockBlock(j*32,(10-j)*20);
		}
		blocks[i++] = BlockFactory.createRockBlock(11*32,0);
		
		for (int j=0;j<1;j++)
			blocks[i++] = new RectBlock((11-j)*32,1*20,BlockImage.BLACK,3);
		
		for (int j=0;j<2;j++)
			blocks[i++] = new RectBlock((11-j)*32,2*20,BlockImage.DARK_GREEN);
		
		for (int j=0;j<3;j++)
			blocks[i++] = new RectBlock((11-j)*32,3*20,BlockImage.GREEN);
		
		for (int j=0;j<4;j++)
			blocks[i++] = new RectBlock((11-j)*32,4*20,BlockImage.BLUE);
		
		for (int j=0;j<5;j++)
			blocks[i++] = new RectBlock((11-j)*32,5*20,BlockImage.DARK_BLUE);
		
		for (int j=0;j<6;j++)
			blocks[i++] = new RectBlock((11-j)*32,6*20,BlockImage.PURPLE);
		
		for (int j=0;j<7;j++)
			blocks[i++] = new RectBlock((11-j)*32,7*20,BlockImage.PINK);
		
		for (int j=0;j<8;j++)
			blocks[i++] = new RectBlock((11-j)*32,8*20,BlockImage.RED);
		
		for (int j=0;j<9;j++)
			blocks[i++] = new RectBlock((11-j)*32,9*20,BlockImage.ORANGE);
		
		for (int j=0;j<10;j++)
			blocks[i++] = new RectBlock((11-j)*32,10*20,BlockImage.YELLOW);
		
		for (int j=0;j<11;j++)
			blocks[i++] = new RectBlock((11-j)*32,11*20,BlockImage.WHITE,2);
	}
	
	@Override
	public Block[] getBlocks() {
		return blocks;
	}

	@Override
	public String getName() {
		return "Bisector";
	}

}
