package ch.lanter.vajanoid;

/**
 * @author Martin Lanter, LanterSoft 2010
 */
public class ItemReleasedEvent extends BallEvent {

	private final ItemType itemType;
	
	public ItemReleasedEvent(int x, int y, ItemType itemType) {
		super(x, y, TYPE.ITEM_RELEASED);
		this.itemType = itemType;
	}
	
	public ItemType getItemType() {
		return itemType;
	}

}
