package ch.lanter.vajanoid.block;

/**
 * A path defines the route a block is sliding along. It also describes the
 * speed and everything that's needed to evaluate the position of a block
 * 
 * @author Martin Lanter, LanterSoft 2010
 */
public interface Path {

	public void addBlock(Block block);
	
	public void step(long dt);
	
}
