package ch.lanter.vajanoid.level;

import ch.lanter.vajanoid.block.Block;
import ch.lanter.vajanoid.block.BlockImage;
import ch.lanter.vajanoid.block.RectBlock;

/**
 * @author Martin Lanter, Lantersoft 2010
 */
public class Level03 extends AbstractLevel {
	
	private Block[] blocks;
	
	public Level03() {
		int i = 0;
		blocks = new Block[90];
		blocks[i++] = new RectBlock(4*32,1*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(5*32,1*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(6*32,1*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(7*32,1*20,BlockImage.ORANGE);

		blocks[i++] = new RectBlock(3*32,2*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(4*32,2*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(5*32,2*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(6*32,2*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(7*32,2*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(8*32,2*20,BlockImage.ORANGE);

		blocks[i++] = new RectBlock(2*32,3*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(3*32,3*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(4*32,3*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(5*32,3*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(6*32,3*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(7*32,3*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(8*32,3*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(9*32,3*20,BlockImage.ORANGE);

		blocks[i++] = new RectBlock(2*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(3*32,4*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(4*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(5*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(6*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(7*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(8*32,4*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(9*32,4*20,BlockImage.ORANGE);

		for (int j=1;j<11;j++) {
			blocks[i++] = new RectBlock(j*32,5*20,BlockImage.ORANGE);
		}

		blocks[i++] = new RectBlock(1*32,6*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(2*32,6*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(3*32,6*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(4*32,6*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(5*32,6*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(6*32,6*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(7*32,6*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(8*32,6*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(9*32,6*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(10*32,6*20,BlockImage.ORANGE);
		
		for (int j=1;j<11;j++) {
			blocks[i++] = new RectBlock(j*32,7*20,BlockImage.ORANGE);
		}

		blocks[i++] = new RectBlock(1*32,8*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(2*32,8*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(3*32,8*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(4*32,8*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(5*32,8*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(6*32,8*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(7*32,8*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(8*32,8*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(9*32,8*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(10*32,8*20,BlockImage.ORANGE);

		blocks[i++] = new RectBlock(1*32,9*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(2*32,9*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(3*32,9*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(4*32,9*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(5*32,9*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(6*32,9*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(7*32,9*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(8*32,9*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(9*32,9*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(10*32,9*20,BlockImage.ORANGE);

		blocks[i++] = new RectBlock(2*32,10*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(3*32,10*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(4*32,10*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(5*32,10*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(6*32,10*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(7*32,10*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(8*32,10*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(9*32,10*20,BlockImage.ORANGE);

		blocks[i++] = new RectBlock(3*32,11*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(4*32,11*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(5*32,11*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(6*32,11*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(7*32,11*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(8*32,11*20,BlockImage.ORANGE);
	}
	
	@Override
	public String getName() {
		return "Halloween";
	}
	
	@Override
	public Block[] getBlocks() {
		return blocks;
	}
}
