package ch.lanter.vajanoid.level;

import ch.lanter.vajanoid.block.Block;
import ch.lanter.vajanoid.block.BlockFactory;
import ch.lanter.vajanoid.block.BlockImage;
import ch.lanter.vajanoid.block.RectBlock;

/**
 * @author Martin Lanter, Lantersoft 2010
 */
public class Level07 extends AbstractLevel {

	private Block[] blocks;
	
	public Level07() {
		int i = 0;
		blocks = new Block[31];
		
		for (int j=0;j<4;j++) {
			blocks[i++] = new RectBlock((j+1)*32+16,7*20,BlockImage.WHITE,2);
			blocks[i++] = new RectBlock((j+1)*32+16,(j+3)*20,BlockImage.WHITE,2);
			blocks[i++] = new RectBlock(5*32+16,(j+2)*20,BlockImage.WHITE,2);
			blocks[i++] = new RectBlock((j+6)*32+16,(6-j)*20,BlockImage.WHITE,2);
			blocks[i++] = new RectBlock((j+6)*32+16,7*20,BlockImage.WHITE,2);
		}
		blocks[i++] = new RectBlock(5*32+16,6*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(3*32+16,9*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(5*32+16,8*20,BlockImage.WHITE,2);
		blocks[i++] = new RectBlock(7*32+16,9*20,BlockImage.WHITE,2);

		blocks[i++] = BlockFactory.createRockBlock(1*32+16,11*20);
		blocks[i++] = BlockFactory.createRockBlock(2*32+16,10*20);
		blocks[i++] = BlockFactory.createRockBlock(4*32+16,8*20);
		blocks[i++] = BlockFactory.createRockBlock(5*32+16,7*20);
		blocks[i++] = BlockFactory.createRockBlock(6*32+16,8*20);
		blocks[i++] = BlockFactory.createRockBlock(8*32+16,10*20);
		blocks[i++] = BlockFactory.createRockBlock(9*32+16,11*20);
	}
	
	@Override
	public String getName() {
		return "Starfish";
	}
	
	@Override
	public Block[] getBlocks() {
		return blocks;
	}

}
