package ch.lanter.vajanoid.level;

import ch.lanter.vajanoid.block.Block;
import ch.lanter.vajanoid.block.BlockImage;
import ch.lanter.vajanoid.block.RectBlock;

/**
 * @author Martin Lanter, Lantersoft 2010
 */
public class Level09 extends AbstractLevel {

	private Block[] blocks;
	
	public Level09() {
		int i = 0;
		blocks = new Block[106];
		
		blocks[i++] = new RectBlock(0*32,5*20,BlockImage.RED);
		blocks[i++] = new RectBlock(1*32,4*20,BlockImage.RED);
		blocks[i++] = new RectBlock(2*32,3*20,BlockImage.RED);
		blocks[i++] = new RectBlock(3*32,2*20,BlockImage.RED);
		blocks[i++] = new RectBlock(4*32,1*20,BlockImage.RED);
		blocks[i++] = new RectBlock(5*32,1*20,BlockImage.RED);
		blocks[i++] = new RectBlock(6*32,1*20,BlockImage.RED);
		blocks[i++] = new RectBlock(7*32,1*20,BlockImage.RED);
		blocks[i++] = new RectBlock(8*32,2*20,BlockImage.RED);
		blocks[i++] = new RectBlock(9*32,3*20,BlockImage.RED);
		blocks[i++] = new RectBlock(10*32,4*20,BlockImage.RED);
		blocks[i++] = new RectBlock(11*32,5*20,BlockImage.RED);

		blocks[i++] = new RectBlock(0*32,7*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(0*32,6*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(1*32,5*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(2*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(3*32,3*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(4*32,2*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(5*32,2*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(6*32,2*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(7*32,2*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(8*32,3*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(9*32,4*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(10*32,5*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(11*32,6*20,BlockImage.ORANGE);
		blocks[i++] = new RectBlock(11*32,7*20,BlockImage.ORANGE);

//		blocks[i++] = new RectBlock(0*32,14*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(0*32,13*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(0*32,12*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(0*32,11*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(0*32,10*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(0*32,9*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(0*32,8*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(1*32,7*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(1*32,6*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(2*32,6*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(2*32,5*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(3*32,4*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(4*32,3*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(5*32,3*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(6*32,3*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(7*32,3*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(8*32,4*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(9*32,5*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(9*32,6*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(10*32,6*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(10*32,7*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(11*32,8*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(11*32,9*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(11*32,10*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(11*32,11*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(11*32,12*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(11*32,13*20,BlockImage.YELLOW);
//		blocks[i++] = new RectBlock(11*32,14*20,BlockImage.YELLOW);

		blocks[i++] = new RectBlock(1*32,13*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(1*32,12*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(1*32,11*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(1*32,10*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(1*32,9*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(1*32,8*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(2*32,8*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(2*32,7*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(3*32,6*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(3*32,5*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(4*32,5*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(4*32,4*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(5*32,4*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(6*32,4*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(7*32,4*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(7*32,5*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(8*32,5*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(8*32,6*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(9*32,7*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(9*32,8*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(10*32,8*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(10*32,9*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(10*32,10*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(10*32,11*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(10*32,12*20,BlockImage.GREEN);
		blocks[i++] = new RectBlock(10*32,13*20,BlockImage.GREEN);

		blocks[i++] = new RectBlock(2*32,12*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(2*32,11*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(2*32,10*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(2*32,9*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(3*32,8*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(3*32,7*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(4*32,6*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(5*32,5*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(6*32,5*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(7*32,6*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(8*32,7*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(8*32,8*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(9*32,9*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(9*32,10*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(9*32,11*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(9*32,12*20,BlockImage.BLUE);

		blocks[i++] = new RectBlock(3*32,11*20,BlockImage.PURPLE);
		blocks[i++] = new RectBlock(3*32,10*20,BlockImage.PURPLE);
		blocks[i++] = new RectBlock(3*32,9*20,BlockImage.PURPLE);
		blocks[i++] = new RectBlock(4*32,8*20,BlockImage.PURPLE);
		blocks[i++] = new RectBlock(4*32,7*20,BlockImage.PURPLE);
		blocks[i++] = new RectBlock(5*32,6*20,BlockImage.PURPLE);
		blocks[i++] = new RectBlock(6*32,6*20,BlockImage.PURPLE);
		blocks[i++] = new RectBlock(7*32,7*20,BlockImage.PURPLE);
		blocks[i++] = new RectBlock(7*32,8*20,BlockImage.PURPLE);
		blocks[i++] = new RectBlock(8*32,9*20,BlockImage.PURPLE);
		blocks[i++] = new RectBlock(8*32,10*20,BlockImage.PURPLE);
		blocks[i++] = new RectBlock(8*32,11*20,BlockImage.PURPLE);
	}
	
	@Override
	public String getName() {
		return "Rainbow";
	}
	
	@Override
	public Block[] getBlocks() {
		return blocks;
	}
	
}
