package ch.lanter.vajanoid.level;

import ch.lanter.vajanoid.block.Block;
import ch.lanter.vajanoid.block.BlockFactory;
import ch.lanter.vajanoid.block.BlockImage;
import ch.lanter.vajanoid.block.RectBlock;

/**
 * @author Martin Lanter, Lantersoft 2010
 */
public class Level29 extends AbstractLevel {

	private Block[] blocks;
	
	public Level29() {
		int i = 0;
		blocks = new Block[58];
		
		blocks[i++] = new RectBlock(1*32,4*20,BlockImage.RED);
		blocks[i++] = new RectBlock(1*32,5*20,BlockImage.RED);
		blocks[i++] = new RectBlock(1*32,6*20,BlockImage.RED);
		blocks[i++] = new RectBlock(1*32,7*20,BlockImage.RED);
		blocks[i++] = new RectBlock(1*32,8*20,BlockImage.RED);
		blocks[i++] = new RectBlock(2*32,4*20,BlockImage.RED);
		blocks[i++] = new RectBlock(3*32,4*20,BlockImage.RED);
		blocks[i++] = new RectBlock(2*32,6*20,BlockImage.RED);
		blocks[i++] = new RectBlock(2*32,8*20,BlockImage.RED);
		blocks[i++] = new RectBlock(3*32,8*20,BlockImage.RED);

		blocks[i++] = new RectBlock(4*32,2*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(4*32,3*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(4*32,4*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(4*32,5*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(4*32,6*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(5*32,3*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(6*32,4*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(7*32,1*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(7*32,2*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(7*32,3*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(7*32,4*20,BlockImage.PINK);
		blocks[i++] = new RectBlock(7*32,5*20,BlockImage.PINK);

		blocks[i++] = new RectBlock(8*32,3*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(8*32,4*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(8*32,5*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(8*32,6*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(8*32,7*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(8*32,8*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(9*32,3*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(9*32,8*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(10*32,4*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(10*32,5*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(10*32,6*20,BlockImage.BLUE);
		blocks[i++] = new RectBlock(10*32,7*20,BlockImage.BLUE);

		blocks[i++] = new RectBlock(0*32,10*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(1*32,11*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(2*32,10*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(3*32,11*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(4*32,10*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(7*32,10*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(8*32,11*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(9*32,10*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(10*32,11*20,BlockImage.YELLOW);
		blocks[i++] = new RectBlock(11*32,10*20,BlockImage.YELLOW);

		blocks[i++] = BlockFactory.createRockBlock(0*32,12*20);
		blocks[i++] = BlockFactory.createRockBlock(1*32,12*20);
		blocks[i++] = BlockFactory.createDefaultBlock(2*32,12*20,BlockImage.BLACK,3);
		blocks[i++] = BlockFactory.createRockBlock(3*32,12*20);
		blocks[i++] = BlockFactory.createRockBlock(4*32,12*20);
		blocks[i++] = BlockFactory.createDefaultBlock(5*32,12*20,BlockImage.BLACK,3);
		blocks[i++] = BlockFactory.createDefaultBlock(6*32,12*20,BlockImage.BLACK,3);
		blocks[i++] = BlockFactory.createRockBlock(7*32,12*20);
		blocks[i++] = BlockFactory.createRockBlock(8*32,12*20);
		blocks[i++] = BlockFactory.createDefaultBlock(9*32,12*20,BlockImage.BLACK,3);
		blocks[i++] = BlockFactory.createRockBlock(10*32,12*20);
		blocks[i++] = BlockFactory.createRockBlock(11*32,12*20);
		blocks[i++] = BlockFactory.createRockBlock(5*32,9*20);
		blocks[i++] = BlockFactory.createRockBlock(6*32,9*20);
	}
	
	@Override
	public String getName() {
		return "La Fin";
	}
	
	@Override
	public Block[] getBlocks() {
		return blocks;
	}

}
